#ifndef MEMORYLEAKER_H
#define MEMORYLEAKER_H

#include <QObject>
#include <QDebug>
#include <QtCore/private/qwinoverlappedionotifier_p.h>
#include <qt_windows.h>

class MemoryLeaker : public QObject
{
    Q_OBJECT
public:
    explicit MemoryLeaker(QObject *parent = 0);
    void exec(const QString &fileToOpen);

private slots:
    void completeAsyncRead(DWORD numberOfBytes, DWORD errorCode, OVERLAPPED *overlapped);

private:
    void open(const QString &fileToOpen);
    void startAsyncRead();

    HANDLE m_handle;
    QWinOverlappedIoNotifier *m_notifier;
    OVERLAPPED m_overlapped;
    char m_c;
};

#endif // MEMORYLEAKER_H
